Skip to main content
Kareo and PatientPop are now Tebra. Becoming Tebra will take time and we appreciate your patience as we transition to the new brand experience.Learn More
Tebra Help Center

Web Platform and Mobile App System Requirements

Updated: 06/23/2023|Views: 26022

Below are the system requirements for running the web platform and mobile applications. For the Desktop Application (PM), see Install Kareo and System Requirements.

Web Platform System Requirements  

Browsers The following are supported browsers for best use of the web page:
  • The latest version of Chrome
  • The latest version of Firefox

The following browsers are not supported:

  • Safari, Internet Explorer, Mobile browsers, and Android OS (e.g., smartphones, tablets, and netbooks)
Recommended Requirements The following are recommended requirements for best use of the web page:
  • Windows PC: 2 gigahertz (GHz) or faster (minimum 1 GHz required), 32-bit (x86) or 64-bit (x64) processor
  • Mac: Intel or Power PC G5
  • 4 gigabytes (GB) RAM (minimum 2 GB required)
  • 19” monitor with 1280x1024 screen resolution (minimum requirement  17” monitor with 1024x768 screen resolution)
  • A stable high-speed internet connection such as DSL, Cable Modem, or T1 
  • 5 Mbps or greater. Less than 5 Mbps may produce suboptimal response times.

Mobile App Requirements

Supported Mobile Devices The following are recommended mobile devices for best use of the app with Apple iOS 10.3 or later:
  • Apple iPhone 5 and later models
  • Apple iPad 2 and later models
  • Apple iPad Mini 2 and later models
  • All Apple iPad Air and iPad Pro

Kiosk App Requirements

Subscription The provider has an active Engage subscription.
Supported iOS Mobile Devices The following are recommended mobile devices for best use of the app with Apple iOS 11 or later:
  • Apple iPhone 5 and later models
  • Apple iPad 2 and later models
  • Apple iPad Mini 2 and later models
  • All Apple iPad Air and iPad Pro
Supported Android Mobile Devices The following are recommended mobile devices for best use of the app with Android 7 or later:
  • Samsung Tab S6 and later models
  • Samsung Tab A and later models

The following mobile devices may be used for the app with Android 7 or later, but are not recommended:

  • Google Pixel and later models
  • Samsung Tab S4, S5e
  • Other Android devices

 

  • Was this article helpful?